﻿ <%@ Page Language="C#" AutoEventWireup="true"  CodeBehind="TreeGridDefault.aspx.cs" Inherits="TreeGridSample.TreeGridDefault" %>

<%--<%@ Register TagPrefix="ej" Namespace="Syncfusion.JavaScript.Models" Assembly="Syncfusion.EJ" %>--%>
<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head id="Head1" runat="server">
    <title>Treegrid Sample</title>

    <script src="Scripts/Treegrid/jquery-1.10.2.min.js"></script>
    <script src="Scripts/Treegrid/jquery.globalize.min.js"></script>
    <script src="Scripts/Treegrid/jquery.easing.1.3.min.js"></script>
    <script src="Scripts/Treegrid/jsrender.min.js"></script>
    <script src="Scripts/Treegrid/ej.web.all.min.js"></script>
    <link href="Content/Treegrid/ej.widgets.core.min.css" rel="stylesheet" />
    <link href="Content/Treegrid/ej.theme.min.css" rel="stylesheet" />   
    <script type="text/javascript">
        function querycellinfo(args) {
            if (args.column.field == "startDatetime") {
                $(args.cellElement).find(".startDatepicker").ejTimePicker({
                    open: function (args) {
                        var treeObj = $("#Treegrid").data("ejTreeGrid");
                        treeObj.hideColumn("Start Time");
                    },
                    close: function (args) {
                        var treeObj = $("#Treegrid").data("ejTreeGrid");
                        if (treeObj.model.selectedRowIndex)
                            treeObj.model.flatRecords[treeObj.model.selectedRowIndex].StartDate = args.value;
                        else
                            alert("please select row to edit");
                        treeObj.refreshRow(treeObj.model.selectedRowIndex);
                        treeObj.showColumn("Start Time");
                    }
                });
            }
            if (args.column.field == "endDatetime") {
                $(args.cellElement).find(".endDatepicker").ejTimePicker({
                    open: function (args) {
                        var treeObj = $("#Treegrid").data("ejTreeGrid");
                        treeObj.hideColumn("End Time");
                    },
                    close: function (args) {
                        var treeObj = $("#Treegrid").data("ejTreeGrid");
                        if (treeObj.model.selectedRowIndex)
                            treeObj.model.flatRecords[treeObj.model.selectedRowIndex].EndDate = args.value;
                        else
                            alert("please select row to edit");
                        treeObj.refreshRow(treeObj.model.selectedRowIndex);
                        treeObj.showColumn("End Time");
                    }
                });
            }
        }
   </script>   
</head>
   
<body>
     <script type="text/x-jsrender" id="startTemp">
        <input type="text" class="startDatepicker" />
    </script>
     <script type="text/x-jsrender" id="endTemp">
        <input type="text" class="endDatepicker" />
    </script>
    <form id="form1" runat="server" onsubmit="return false" style="overflow: hidden; padding:0; margin: 0;height:100%;width:100%;">
    
        <ej:treegrid ID="Treegrid" runat="server"  AllowColumnResize="true" 
            AllowSorting="true" ChildMapping="Children" EnableVirtualization="true" 
            TreeColumnIndex="1" load="onLoad" DateFormat="hh:mm:ss tt" QueryCellInfo="querycellinfo">
            <Columns>
                <ej:treegridcolumn HeaderText="Task Id" Field="Id" Width="45" />
                <ej:treegridcolumn HeaderText="Task Name" Field="Name" />
                <ej:treegridcolumn HeaderText="Start Time" Field="StartDate" EditType="datetimepicker"/>               
                <ej:treegridcolumn HeaderText="End Time" Field="EndDate" EditType="datetimepicker"/>
                <ej:treegridcolumn HeaderText="StartDateTime" Field="startDatetime" IsTemplateColumn="true" TemplateID="startTemp"/>
                <ej:treegridcolumn HeaderText="EndDateTime" Field="endDatetime" IsTemplateColumn="true" TemplateID="endTemp"/>
                <ej:treegridcolumn HeaderText="Progress" Field="PercentDone"/> 
                <ej:TreeGridColumn HeaderText="Resources" Field="Resource"/> 
            </Columns>
            <EditSettings AllowEditing="true" EditMode="CellEditing" />
            <SizeSettings Width="100%" Height="250px" />
        </ej:treegrid> 
         
  </form>       
  
    
</body>
</html>

